%define module   Filesys-SmbClient
%define version    3.1
%define release    %mkrel 5

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Provide Perl API for libsmbclient.so
Source:		http://www.cpan.org/modules/by-module/Filesys/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRequires:	perl(Test::More)
BuildRequires:	libsmbclient-devel


%description
Provide interface to access routine defined in libsmbclient.so provided
with Samba.

Since 3.0 release of this package, you need a least samba-3.0.2. For prior
release of Samba, use Filesys::SmbClient version 1.x.

For old and 2.x release, this library is available on Samba source, but is
not build by default. Do "make bin/libsmbclient.so" in sources directory of
Samba to build this libraries. Then copy source/include/libsmbclient.h to
/usr/local/samba/include and source/bin/libsmbclient.so to
/usr/local/samba/lib before install this module.

%prep
%setup -q -n %{module}-%{version} 
rm -f t/02tie.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
%{_includedir}
%{_libdir}
no
EOF
%make CFLAGS="%{optflags}"

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorarch/Filesys
%perl_vendorarch/auto/Filesys


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.1-5.mga3
+ Revision: 367479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.1-4.mga3
+ Revision: 250638
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 3.1-3.mga2
+ Revision: 104298
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 3.1-2.mga1
+ Revision: 30412
- mageia rebuild
- imported package perl-Filesys-SmbClient

